library flare.cleanup_transformer;

import 'dart:async';

import 'package:barback/barback.dart';

/// Removes temporary files generated by upstream transformers.
class CleanupTransformer extends Transformer {
  static final privateRE = new RegExp(r'/_');
  static final metaRE = new RegExp(r'(.yaml$)|(.meta.json$)');

  final BarbackSettings _settings;

  CleanupTransformer.asPlugin(this._settings);

  @override
  apply(Transform transform) {
    transform.consumePrimary();
  }

  @override
  Future<bool> isPrimary(AssetId id) {
    return new Future.value(
        privateRE.hasMatch(id.path) ||
        metaRE.hasMatch(id.path));
  }
}